<!DOCTYPE html>
<html lang="en">

<head>
    <title>Index Page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-danger">Validators in JavaScript</h2>
        <hr />

        <!-- Javascript validators example -->
        <div id="code">
            <h3 class="text-primary">Code Snippet</h3>
            <div>&nbsp;</div>
            <form action="#" name="myform" onsubmit="return(validateform());" style="width: 550px;">
                <!-- name -->
                <div class="form-group">
                    <input type="text" class="form-control" id="name" name="myname" placeholder="Enter name. . . .">
                </div>
                <!-- email address -->
                <div class="form-group">
                    <input type="text" class="form-control" id="email" name="myemail" placeholder="Enter email address. . . .">
                </div>
                <!-- zip-code -->
                <div class="form-group">
                    <input type="text" class="form-control" id="zipcode" name="myzipcode" placeholder="Enter zipcode. . . .">
                </div>
                <!-- country -->
                <div class="form-group">
                    <select id="countrydropdown" name="mycountry" class="form-control">
                        <option value="-1" selected>Select country. . . .</option>
                        <option value="0">America</option>
                        <option value="1">India</option>
                        <option value="2">United Kingdom</option>
                    </select>
                </div>
                <button type="submit" class="btn btn-info">Submit</button>
            </form>
        </div>
    </div>
    <script type="text/javascript">
		// Javascript function to validate the form.
        function validateform() {
            if (document.myform.myname.value == "") {
                alert("Please enter name.");
                document.myform.myname.style.borderColor = "red";
                return false;
            }
            if (document.myform.myemail.value == "") {
                alert("Please enter email address.");
                document.myform.myemail.style.borderColor = "red";
                return false;
            }
            if (document.myform.myzipcode.value == "" || isNaN(document.myform.myzipcode.value) || document.myform.myzipcode.value.length != 5) {
                alert("Please enter zipcode.");
                document.myform.myzipcode.style.borderColor = "red";
                return false;
            }
            if (document.myform.mycountry.value == "-1") {
                alert("Please select country name.");
                document.myform.mycountry.style.borderColor = "red";
                return false;
            }
            return (true);
        }
    </script>
</body>

</html>